//
// starfld.h
//
// Include file for any programs wanting to use starfield functionality.
//
// richard.cutting@virgin.net 
// http://www.netyaroze-europe.com/~rcutting
//
// Please feel free to use this code as you want to for your own non
// commercial use but please leave my name in the headers if you do. If
// you do use it, extend it or change it then please let me know !
//
// Richard Cutting 14 May 1998
//

#include <libps.h>

#ifndef _STARFLD_H

#define _STARFLD_H	1

#define		STAR_NO_SCROLL		0
#define 	STAR_SCROLL_LEFT	1
#define		STAR_SCROLL_RIGHT 	2
#define		STAR_SCROLL_UP		3
#define		STAR_SCROLL_DOWN	4

// Structure used to hold stars.

typedef struct tagStar
{
	GsBOXF 	box;
	int 	speed;
	struct  tagStar *next;
} StarType;

extern void free_starfield( void );
extern void initialise_starfield( int num_stars, int num_planes,
int scroll_dir, int change_time, int animate_every_n_frame, int ot_length );
extern void animate_starfield( void );
extern void load_starfield_into_OT( GsOT *otp );

#endif

